<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" Inherits="AbleCommerce.Admin.Shipping.Providers._UPS.RegisterDirect" Title="Register for UPS" CodeFile="RegisterDirect.aspx.cs" %>
<asp:Content ID="Content3" ContentPlaceHolderID="MainContent" runat="Server">
    <div class="pageHeader">
    	<div class="caption">
    		<h1>
                <asp:Label ID="Caption" runat="server" Text="UPS OnLine Tools Licensing & Registration"></asp:Label>
            </h1>
    	</div>
    </div>
    <div class="content">
        <p><asp:Label ID="InstructionText" runat="server" Text="In order to enable the UPS OnLine Tools integration, you must first register with UPS. You will need to obtain the User ID, Password and Access Key to complete the configuration."></asp:Label></p>
        <ul class="list">
                    <li class="list-item">
                        Step 1) Register with UPS and obtain an Access Key: <a href="https://www.ups.com/one-to-one/register" target="_blank">https://www.ups.com/one-to-one/register</a>
                    </li>
                    <li class="list-item">
                        Step 2) After registration, you should receive an email from UPS containing your Username and Password. Enter this information, along with the Access Key, into the fields below.
                    </li>
                    <li class="list-item">
                        Step 3) If you have a UPS Account, enter your account number into the field below.
                    </li>
                </ul>

        <table class="inputForm">
            <tr>
                <th>
                    <asp:Label ID="UserIdLabel" runat="server" Text="UPS User Id:"></asp:Label>
                </th>
                <td>
                    <asp:TextBox ID="UserId" runat="server"></asp:TextBox><span class="requiredField">*</span>
                    <asp:RequiredFieldValidator ID="UserIdRequired" runat="server" ControlToValidate="UserId" Text="required" Display="Dynamic"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <th>
                    <asp:Label ID="PasswordLabel" runat="server" Text="UPS Password:"></asp:Label>
                </th>
                <td>
                    <asp:TextBox ID="Password" runat="server"></asp:TextBox><span class="requiredField">*</span>
                    <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password" Text="required" Display="Dynamic"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <th>
                    <asp:Label ID="AccessKeyLabel" runat="server" Text="Access Key:"></asp:Label>
                </th>
                <td>
                    <asp:TextBox ID="AccessKey" runat="server"></asp:TextBox><span class="requiredField">*</span>
                    <asp:RequiredFieldValidator ID="AccessKeyRequired" runat="server" ControlToValidate="AccessKey" Text="required" Display="Dynamic"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <th>
                    <cb:ToolTipLabel ID="ToolTipLabel1" runat="server" Text="UPS Account Number:" ToolTip="If you have a UPS Account number, enter it here." />
                </th>
                <td>
                    <asp:TextBox ID="ShipperNumber" runat="server"></asp:TextBox>
                    <br />
                    &nbsp;To open a UPS Account, <a href='http://www.ups.com' target='_blank'>click here</a> or call 1-800-PICK-UPS.
                </td>
            </tr>

            <%--<tr>
                <td colspan="2">
                    If your UPS account have the Address Validation feature enabled, then you can enable the Address Validation feature using following options:
                </td>
            </tr>
            <tr>
                <th>
                    <cb:ToolTipLabel ID="EnableAddressValidationLabel" runat="server" Text="Enable Address Validation:" AssociatedControlID="EnableAddressValidation" CssClass="toolTip" ToolTip="Indicate whether address validation services will be used."></cb:ToolTipLabel>
                </th>
                <td>
                    <asp:CheckBox ID="EnableAddressValidation" runat="server" />
                </td>
            </tr>
            <tr>
                <th>
                    <cb:ToolTipLabel ID="AddressServiceTestUrlLabel" runat="server" Text="Address Service Test Url:" ToolTip="The URL to which requests are posted in Test Mode." />
                </th>
                <td>
				    <asp:TextBox Width="500" ID="AddressServiceTestUrl" runat="server"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <th>
                    <cb:ToolTipLabel ID="AddressServiceLiveUrlLabel" runat="server" Text="Address Service Live Url:" ToolTip="The URL to which requests are posted in live Mode." />
                </th>
                <td>
				    <asp:TextBox Width="500" ID="AddressServiceLiveUrl" runat="server"></asp:TextBox>
                </td>
            </tr>--%>
            <tr>
                <td>&nbsp;</td>
                <td>
                    <asp:Button ID="NextButton" runat="server" Text="Next" OnClick="SaveButton_Click" />
                    <asp:Button ID="CancelButton" runat="server" SkinID="CancelButton"  Text="Cancel" OnClick="CancelButton_Click" CausesValidation="false" />
                </td>
            </tr>
        </table>
        <p><asp:Label ID="UPSCopyRight" runat="server" Text="UPS brandmark, and the Color Brown are trademarks of United Parcel Service of America, Inc. All Rights Reserved." SkinID="Copyright"></asp:Label></p>
    </div>    
</asp:Content>