namespace AbleCommerce.Admin.Shipping.Providers._UPS
{
    using System;
    using CommerceBuilder.Shipping;
    using CommerceBuilder.Shipping.Providers.UPS;
    using CommerceBuilder.Utility;
    using System.Collections.Generic;
    using CommerceBuilder.Common;

    public partial class RegisterDirect : CommerceBuilder.UI.AbleCommerceAdminPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {

            // VERIFY THIS PROVIDER IS NOT ALREADY REGISTERED
            string classId = Misc.GetClassId(typeof(UPS));
            IList<ShipGateway> gateways = ShipGatewayDataSource.LoadForClassId(classId);
            if (gateways.Count > 0)
            {                
                Response.Redirect("Configure.aspx?ShipGatewayId=" + gateways[0].Id);
            }
            
        }

        protected void SaveButton_Click(object sender, EventArgs e)
        {
            if (Page.IsValid)
            {
                ShipGateway gateway = new ShipGateway();
                UPS provider = new UPS();
                gateway.Store = AbleContext.Current.Store;
                gateway.Name = provider.Name;
                gateway.ClassId = Misc.GetClassId(typeof(UPS));
                gateway.Enabled = true;

                provider.UserId = UserId.Text;
                provider.Password = Password.Text;
                provider.AccessKey = AccessKey.Text;
                provider.ShipperNumber = ShipperNumber.Text;
                //provider.EnableAddressValidation = EnableAddressValidation.Checked;
                //provider.AddressServiceTestUrl = AddressServiceTestUrl.Text;
                //provider.AddressServiceLiveUrl = AddressServiceLiveUrl.Text;

                gateway.UpdateConfigData(provider.GetConfigData());
                gateway.Save();
                Response.Redirect("Configure.aspx?ShipGatewayId=" + gateway.Id);
            }
        }

        protected void CancelButton_Click(object sender, EventArgs e)
        {
            Response.Redirect("Default.aspx");
        }
    }
}